/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.cache.aop.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

/**
 * Annoataion that declares a field is transient (i.e., no-replicatable).
 *
 * @author Ben Wang
 *         Date: Jan 22, 2006
 * @version $Id: Transient.java 1584 2006-04-13 17:25:08Z bwang $
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface Transient {
}
